Bug 1068660

Summary: [RFE] Generate datastream output format for RHEL-6 content too (necessary for remote system scans)
Product: [Fedora] Fedora EPEL Reporter: Jan Lieskovsky <jlieskov>
Component: scap-security-guideAssignee: Jan Lieskovsky <jlieskov>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: jlieskov, pvrabec, swells
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: scap-security-guide-0.1-16.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1070906 (view as bug list) Environment:
Last Closed: 2014-03-04 19:31:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1070906    

Description Jan Lieskovsky 2014-02-21 15:49:01 UTC
Description of problem:

To scan remote systems via SSH scap-workbench scanner & remediation tool requires the benchmark to be provided in datastream format (scanning of remote systems with benchmark being in XCCDF format isn't supported yet).

To allow users of scap-security-guide RPM to scan remote RHEL-6 systems, 
upstream has recently added exporting of generated SCAP content / benchmark also into datastream format.

The current version of scap-security-guide RPM package in EPEL-6 should be updated to include this enhancement.

Version-Release number of selected component (if applicable):
scap-security-guide-0.1-15

Comment 1 Fedora Update System 2014-02-21 15:56:35 UTC
scap-security-guide-0.1-16.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/scap-security-guide-0.1-16.el6

Comment 2 Fedora Update System 2014-02-22 01:47:23 UTC
Package scap-security-guide-0.1-16.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing scap-security-guide-0.1-16.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0630/scap-security-guide-0.1-16.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-03-04 19:31:20 UTC
scap-security-guide-0.1-16.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.